### Signal

# Gtk TreeView::test-expand-row

#### Declaration

    gboolean
    test_expand_row (
      GtkTreeView self,
      GtkTreeIter* iter,
      GtkTreePath* path,
      gpointer user_data
    )

#### Description [src]

The given row is about to be expanded (show its children nodes). Use this signal if you need to control the expandability of individual rows.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`iter` | `GtkTreeIter`
| The tree iter of the row to expand.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| A tree path that points to the row.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `FALSE` to allow expansion, `TRUE` to reject.